Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Native Development

Reply
Developer
Posts: 34
Registered: ‎07-05-2012
My Device: Dev Alpha
My Carrier: Airtel

Problem updating QNX Momentics IDE

I am trying to update my IDE. I am behind a proxy but I've configured the settings properly, in order to connect to the internet. However I'm getting this error when I try to update :

 

An error occurred while collecting items to be installed
session context wasSmiley Sadprofile=DefaultProfile, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
No repository found containing: osgi.bundle,com.qnx.doc.ide.userguide,3.0.0.20130314
No repository found containing: osgi.bundle,com.qnx.doc.ndk.homepage,2.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.bbt.appdescriptor,1.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.bbt.appdescriptor.edit,1.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.bbt.clt,2.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.bbt.core,3.3.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.bbt.ide,2.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.bbt.project.ui,1.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.bbt.ui,3.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.bbt.xml.core,1.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.bbt.xml.ui,1.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.SystemProfiler,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.SystemProfiler.CPUActivity,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.SystemProfiler.CPUUsage,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.SystemProfiler.Timeline,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.SystemProfiler.addressxlator,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.SystemProfiler.aps,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.SystemProfiler.core,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.SystemProfiler.multicore,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.SystemProfiler.neutrino,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.SystemProfiler.statistics.core,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.SystemProfiler.statistics.ui,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.SystemProfiler.summary,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.SystemProfiler.threadstate,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.SystemProfiler.ui,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.SystemProfiler.views,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.SystemProfiler.whybutton,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.addresstranslator,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.apsinfo.core,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.apsinfo.ui,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.bbt,1.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.bbt.ane,2.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.bbt.ane.ui,2.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.bbt.capabilities.ui,1.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.bbt.core,1.1.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.bbt.debug.core,1.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.bbt.debug.ui,1.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.bbt.examples,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.bbt.target.core,1.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.bbt.target.fsys.ui,1.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.bbt.target.terminal.ui,1.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.bbt.target.ui,1.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.bbt.ui,1.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.bbt.wne,1.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.bugreport,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.bugreport.edit,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.bugreport.ui,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.capabilities.ui,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.common.sessions.core,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.core,5.1.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.coverage,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.coverage.core,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.coverage.ui,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.emf.core,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.emf.edit,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.equinox.transforms,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.fsys,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.makefile.model,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.makefile.model.edit,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.mat,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.mat.core,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.mat.ui,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.momentics.examples,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.mudflap,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.mudflap.core,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.mudflap.ui,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.packages.core,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.phab.core,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.phab.ui,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.profiler2,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.profiler2.core,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.profiler2.ui,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.project.ui,1.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.qde,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.qde.commandline.launcher,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.qde.core,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.qde.debug.core,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.qde.debug.ui,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.qde.managedbuilder.core,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.qde.managedbuilder.ui,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.qde.ui,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.sdk.manager.core,1.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.sdkmanager.ui,1.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.sysinfo,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.sysinfo.log.core,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.sysinfo.log.ui,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.sysinfo.ui,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.systembuilder.cdt.core,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.systembuilder.core,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.systembuilder.expressions,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.systembuilder.model,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.systembuilder.model.edit,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.systembuilder.ui,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.target.core,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.target.qconn.core,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.target.qconn.ui,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.target.ui,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.terminal,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.tftp,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.ui,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.updater,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.utils,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.ide.utils.ui,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.license,4.7.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.model,1.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.utils,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.utils.ui,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.utils.ui.chart,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.qnx.tools.utils.ui.screenshot,5.0.0.v201303191709
No repository found containing: osgi.bundle,com.rim.tad.tools.qml.core,10.1.0.201303181949
No repository found containing: osgi.bundle,com.rim.tad.tools.qml.declarative,10.1.0.201303181949
No repository found containing: osgi.bundle,com.rim.tad.tools.qml.help,10.1.0.201303181949
No repository found containing: osgi.bundle,com.rim.tad.tools.qml.javascript,10.1.0.201303181949
No repository found containing: osgi.bundle,com.rim.tad.tools.qml.javascript.debug,10.1.0.201303181949
No repository found containing: osgi.bundle,com.rim.tad.tools.qml.javascript.debug.internal.ui,10.1.0.201303181949
No repository found containing: osgi.bundle,com.rim.tad.tools.qml.parser,10.1.0.201303181949
No repository found containing: osgi.bundle,com.rim.tad.tools.qml.project,10.1.0.201303181949
No repository found containing: osgi.bundle,com.rim.tad.tools.qml.simulator,10.1.0.201303181949
No repository found containing: osgi.bundle,com.rim.tad.tools.qml.ui,10.1.0.201303181949
No repository found containing: osgi.bundle,com.rim.tad.tools.wst.jsdt.core,10.1.0.201303181949
No repository found containing: osgi.bundle,com.rim.tad.tools.wst.jsdt.debug.core,10.1.0.201303181949
No repository found containing: osgi.bundle,com.rim.tad.tools.wst.jsdt.debug.transport,10.1.0.201303181949
No repository found containing: osgi.bundle,com.rim.tad.tools.wst.jsdt.debug.ui,10.1.0.201303181949
No repository found containing: osgi.bundle,com.rim.tad.tools.wst.jsdt.manipulation,10.1.0.201303181949
No repository found containing: osgi.bundle,com.rim.tad.tools.wst.jsdt.ui,10.1.0.201303181949
No repository found containing: osgi.bundle,dk.brics.automaton,1.11.8.v201303191709
No repository found containing: osgi.bundle,org.eclipse.cdt,8.0.2.201301242158
No repository found containing: osgi.bundle,org.eclipse.cdt.codan.checkers,1.0.1.201301242158
No repository found containing: osgi.bundle,org.eclipse.cdt.codan.checkers.ui,1.0.0.201301242158
No repository found containing: osgi.bundle,org.eclipse.cdt.codan.core,2.0.0.201301242158
No repository found containing: osgi.bundle,org.eclipse.cdt.codan.core.cxx,1.0.0.201301242158
No repository found containing: osgi.bundle,org.eclipse.cdt.codan.ui,2.0.1.201301242158
No repository found containing: osgi.bundle,org.eclipse.cdt.codan.ui.cxx,2.0.0.201301242158
No repository found containing: osgi.bundle,org.eclipse.cdt.core,5.3.2.201301242158
No repository found containing: osgi.bundle,org.eclipse.cdt.core.win32,5.2.0.201301242158
No repository found containing: osgi.bundle,org.eclipse.cdt.core.win32.x86,5.2.0.201301242158
No repository found containing: osgi.bundle,org.eclipse.cdt.debug.core,7.1.0.201301242158
No repository found containing: osgi.bundle,org.eclipse.cdt.debug.gdbjtag,7.0.0.201301242158
No repository found containing: osgi.bundle,org.eclipse.cdt.debug.gdbjtag.core,8.0.1.201301242158
No repository found containing: osgi.bundle,org.eclipse.cdt.debug.gdbjtag.ui,7.0.0.201301242158
No repository found containing: osgi.bundle,org.eclipse.cdt.debug.mi.core,7.1.1.201301242158
No repository found containing: osgi.bundle,org.eclipse.cdt.debug.mi.ui,6.1.1.201301242158
No repository found containing: osgi.bundle,org.eclipse.cdt.debug.ui,7.1.2.201301242158
No repository found containing: osgi.bundle,org.eclipse.cdt.debug.ui.memory.memorybrowser,1.2.100.201301242158
No repository found containing: osgi.bundle,org.eclipse.cdt.debug.ui.memory.search,1.2.1.201301242158
No repository found containing: osgi.bundle,org.eclipse.cdt.debug.ui.memory.traditional,1.2.1.201301242158
No repository found containing: osgi.bundle,org.eclipse.cdt.debug.ui.memory.transport,2.1.0.201301242158
No repository found containing: osgi.bundle,org.eclipse.cdt.doc.user,5.1.1.201301242158
No repository found containing: osgi.bundle,org.eclipse.cdt.dsf,2.2.0.201301242158
No repository found containing: osgi.bundle,org.eclipse.cdt.dsf.gdb,4.0.2.201301242158
No repository found containing: osgi.bundle,org.eclipse.cdt.dsf.gdb.ui,2.2.1.201301242158
No repository found containing: osgi.bundle,org.eclipse.cdt.dsf.ui,2.2.1.201301242158
No repository found containing: osgi.bundle,org.eclipse.cdt.gdb,7.0.0.201301242158
No repository found containing: osgi.bundle,org.eclipse.cdt.gdb.ui,7.0.0.201301242158
No repository found containing: osgi.bundle,org.eclipse.cdt.launch,7.0.0.201301242158
No repository found containing: osgi.bundle,org.eclipse.cdt.make.core,7.1.2.201301242158
No repository found containing: osgi.bundle,org.eclipse.cdt.make.ui,7.1.2.201301242158
No repository found containing: osgi.bundle,org.eclipse.cdt.managedbuilder.core,8.0.2.201301242158
No repository found containing: osgi.bundle,org.eclipse.cdt.managedbuilder.gnu.ui,8.0.2.201301242158
No repository found containing: osgi.bundle,org.eclipse.cdt.managedbuilder.ui,8.0.2.201301242158
No repository found containing: osgi.bundle,org.eclipse.cdt.ui,5.3.2.201301242158
No repository found containing: osgi.bundle,org.eclipse.tm.terminal,2.0.0.v201303191709
No repository found containing: osgi.bundle,org.eclipse.tm.terminal.serial,2.0.0.v201303191709
No repository found containing: osgi.bundle,org.eclipse.tm.terminal.ssh,2.0.0.v201303191709
No repository found containing: osgi.bundle,org.eclipse.tm.terminal.telnet,2.0.0.v201303191709
No repository found containing: osgi.bundle,org.eclipse.tm.terminal.view,2.0.0.v201303191709
No repository found containing: org.eclipse.update.feature,com.qnx.tools.bbt.ide,10.1.0.v201303191709
No repository found containing: binary,com.qnx.tools.bbt.ide.ide.executable.win32.win32.x86,10.1.0.v201303191709
No repository found containing: binary,com.qnx.tools.bbt.ide_root,10.1.0.v201303191709
No repository found containing: org.eclipse.update.feature,com.qnx.tools.ide.SystemProfiler,5.0.0.v201303191709
No repository found containing: org.eclipse.update.feature,com.qnx.tools.ide.bbt,10.1.0.v201303191709
No repository found containing: org.eclipse.update.feature,com.qnx.tools.ide.builder,5.0.0.v201303191709
No repository found containing: org.eclipse.update.feature,com.qnx.tools.ide.coverage,5.0.0.v201303191709
No repository found containing: org.eclipse.update.feature,com.qnx.tools.ide.doc.ide.users.guide,3.0.0.20130314
No repository found containing: org.eclipse.update.feature,com.qnx.tools.ide,5.0.0.v201303191709
No repository found containing: org.eclipse.update.feature,com.qnx.tools.ide.mat,5.0.0.v201303191709
No repository found containing: org.eclipse.update.feature,com.qnx.tools.ide.mudflap,5.0.0.v201303191709
No repository found containing: org.eclipse.update.feature,com.qnx.tools.ide.profiler2,5.0.0.v201303191709
No repository found containing: org.eclipse.update.feature,com.qnx.tools.ide.qde,5.0.0.v201303191709
No repository found containing: org.eclipse.update.feature,com.qnx.tools.ide.sysinfo,5.0.0.v201303191709
No repository found containing: org.eclipse.update.feature,com.qnx.tools.ide.terminal,5.0.0.v201303191709
No repository found containing: org.eclipse.update.feature,com.qnx.tools.ide.updater,5.0.0.v201303191709
No repository found containing: org.eclipse.update.feature,com.rim.tad.tools.qml.feature,10.1.0.201303181949
No repository found containing: osgi.bundle,com.rim.tad.tools.qml.profiler,10.1.0.201303181949
No repository found containing: osgi.bundle,com.rim.tad.tools.qml.profiler.ui,10.1.0.201303181949
No repository found containing: org.eclipse.update.feature,org.eclipse.cdt.debug.gdbjtag,7.0.0.201301242158
No repository found containing: org.eclipse.update.feature,org.eclipse.cdt.debug.ui.memory,2.1.200.201301242158
No repository found containing: org.eclipse.update.feature,org.eclipse.cdt,8.0.2.201301242158
No repository found containing: org.eclipse.update.feature,org.eclipse.cdt.gdb,7.0.0.201301242158
No repository found containing: org.eclipse.update.feature,org.eclipse.cdt.gnu.build,8.0.2.201301242158
No repository found containing: org.eclipse.update.feature,org.eclipse.cdt.gnu.debug,7.1.1.201301242158
No repository found containing: org.eclipse.update.feature,org.eclipse.cdt.gnu.dsf,4.0.1.201301242158
No repository found containing: org.eclipse.update.feature,org.eclipse.cdt.platform,8.0.2.201301242158
No repository found containing: binary,org.eclipse.cdt_root,8.0.2.201301242158
No repository found containing: org.eclipse.update.feature,org.eclipse.tm.terminal,2.0.0.v201303191709
No repository found containing: org.eclipse.update.feature,org.eclipse.tm.terminal.serial,2.0.0.v201303191709
No repository found containing: org.eclipse.update.feature,org.eclipse.tm.terminal.ssh,2.0.0.v201303191709
No repository found containing: org.eclipse.update.feature,org.eclipse.tm.terminal.telnet,2.0.0.v201303191709
No repository found containing: org.eclipse.update.feature,org.eclipse.tm.terminal.view,2.0.0.v201303191709

 

Any help would be appreciated.

 

Thanks.

Highlighted
Developer
Posts: 34
Registered: ‎07-05-2012
My Device: Dev Alpha
My Carrier: Airtel

Re: Problem updating QNX Momentics IDE

Never mind. I downloaded the entire SDK from the main website and installed using that.
New Developer
Posts: 25
Registered: ‎08-30-2013
My Device: Passport
My Carrier: Wind

Re: Problem updating QNX Momentics IDE

This seems like a Mac like response. So my application libraries won't be affected? Ok.

 

 

I'm having the same problem with a different version and I'd like to overthink this and find a file we can flush or clear or something.